#ifndef TreeMaskH
#define TreeMaskH

#include "action/ResourceMask.h"
#include "util/Pointers.h"
#include "util/simpleobject/AgString.h"
#include <iostream>


class TreeMask : public ResourceMask, public AgObject
{
private:
	AgString mask;

public:
	static const char SEPARATOR = '.';

	TreeMask();
	TreeMask(const AgString &mask);
    bool includes(AgObject *resourceMask);

	AgString toString();
 };

#endif
